org.crosswire.common.diff

## Enum EditType

- java.lang.Object
- - java.lang.Enum<EditType>
  - - org.crosswire.common.diff.EditType

- All Implemented Interfaces:
    Serializable, Comparable<EditType>

      public enum EditType
      extends Enum<EditType>

  An Enumeration of the possible Edits.
  Author:
    DM Smith
  See Also:
    `The GNU Lesser General Public License for details.`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DELETE` Delete a sequence.
    `EQUAL` Equal sequences
    `INSERT` Insert a sequence

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private String` | `name` The name of the EditType
    `private char` | `symbol` The symbol representing the EditType

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EditType` | `fromString(String name)` Lookup method to find an EditType by name.
    `static EditType` | `fromSymbol(char symbol)` Lookup method to find an EditType by symbol.
    `char` | `getSymbol()`
    `String` | `toString()`
    `static EditType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EditType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DELETE

          public static final EditType DELETE

      Delete a sequence.

    - #### INSERT

          public static final EditType INSERT

      Insert a sequence

    - #### EQUAL

          public static final EditType EQUAL

      Equal sequences

  - ### Field Detail

    - #### name

          private String name

      The name of the EditType

    - #### symbol

          private char symbol

      The symbol representing the EditType

  - ### Method Detail

    - #### values

          public static EditType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EditType c : EditType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EditType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getSymbol

          public char getSymbol()

      Returns:
        the symbol for this EditType

    - #### fromString

          public static EditType fromString(String name)

      Lookup method to find an EditType by name.
      Parameters:
        `name` - the case insensitive representation of the desired EditType
      Returns:
        the desired EditType or null if not found.

    - #### fromSymbol

          public static EditType fromSymbol(char symbol)

      Lookup method to find an EditType by symbol.
      Parameters:
        `symbol` - The symbol of the EditType
      Returns:
        the desired EditType or null if not found.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<EditType>`